@echo off
cls
echo.
echo  ---------------------------------------------------------------
echo   This batch file assembles MOUSELIB.ASM to create MOUSELIB.OBJ,
echo   and then invokes LINK and LIB to create a Quick library (.QLB)
echo   and the parallel object-module library (.LIB), both of which
echo   include the procedures in the default Quick Library (QB.QLB).
echo.
echo   This batch file assumes that ML.EXE, ML.ERR, QB.LIB and
echo   BQLB45.LIB are in the current directory, and that LINK.EXE
echo   and LIB.EXE are in the current directory or somewhere on
echo   the search path.
echo.
echo   This batch file is QuickBASIC 4.5 specific. Refer to the
echo   comments for information on adapting it for PDS.
echo  ---------------------------------------------------------------
echo.
echo Press any key to proceed...
pause > nul
cls
echo.
@echo Creating MOUSELIB.OBJ:
echo.

if exist mouselib.obj del mouselib.obj

rem ------------------------------------------------------
rem The /Fl option creates a default listing of the
rem assembled lines. The /Sa option causes the listing
rem to include all source lines, including false
rem conditionals and generated code.
rem
rem The /c option (must be lower case) causes ML to
rem skip the linking process. 
rem ------------------------------------------------------

ML /Fl /Sa /c mouselib.asm
if exist mouselib.obj goto asm_ok
goto err

:asm_ok

rem ------------------------------------------------------
rem  The library names QB.LIB and BQLB45.LIB are for
rem  QuickBASIC 4.5. For PDS 7.0 (and 7.1 ?), the
rem  names should be QBX.LIB and QBXQLB.LIB.
rem ------------------------------------------------------

rem ------------------------------------------------------
rem  For information about the LINK and LIB command lines,
rem  run the programs with the /HELP option.
rem ------------------------------------------------------

echo.
@echo Creating QBMOUSE.QLB:

rem ------------------------------------------------------
rem  Specifying QB.LIB in the objects field causes LINK to
rem  include all of the procedures in the library.
rem ------------------------------------------------------

if exist qbmouse.qlb del qbmouse.qlb
link /q /noe /nod:brun45.lib mouselib.obj qb.lib, qbmouse.qlb,,bqlb45.lib;
if exist qbmouse.qlb goto link_ok
goto err

:link_ok

echo.
@echo Creating QBMOUSE.LIB:

rem ------------------------------------------------------
rem  We need to delete QBMOUSE.LIB not only so we
rem  can detect a LIB error, but also to avoid a 
rem  "module redifinition ignored" warning.
rem ------------------------------------------------------

if exist qbmouse.lib del qbmouse.lib
lib qbmouse.lib+mouselib.obj+qb.lib;
if exist qbmouse.lib goto lib_ok
goto err

:lib_ok

echo *** OK ***

:err
echo.
echo PRESS ANY KEY TO EXIT...
echo.
pause > nul
